
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>asp.net读取CSV / iVAN</title>

    <meta name="description" content="asp.net读取CSV 原文:asp.net读取CSV 用Excel导了两天数据,各种问题,折磨客户也折磨了自己,以前没发现的问题一下子都暴露出来了 特意收集两篇Excel跟CSV读取相关的两篇文章 asp.net读取excel文件,将excel文件先上传,在读取,最后删除. 但有一个问题,那就是excel文件夹需要有读写的权限,IIS需要为asp.net用户开通权限的. 而且excel文件本身存在安全隐患,那就是它可以运行vba程序.所以从安全角度考虑,上传excel是个不好的方法. 今天介绍另一种方法,读取CVS文">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">asp.net读取CSV</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文:<a href="http://blog.csdn.net/chenxiang199055/article/details/20050607" rel="external nofollow noreferrer">asp.net读取CSV</a><br />
<br />用Excel导了两天数据，各种问题，折磨客户也折磨了自己，以前没发现的问题一下子都暴露出来了</p>
<p>特意收集两篇Excel跟CSV读取相关的两篇文章<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18xYjU0MDIyNjlmNjY2NzI4MWYyNWVhYWIyMWI4MWNiMi5naWY=.jpg"></p>
<p>asp.net读取excel文件，将excel文件先上传，在读取，最后删除。</p>
<p>但有一个问题，那就是excel文件夹需要有读写的权限，IIS需要为asp.net用户开通权限的。</p>
<p>而且excel文件本身存在安全隐患，那就是它可以运行vba程序。所以从安全角度考虑，上传excel是个不好的方法。</p>
<p>今天介绍另一种方法，读取CVS文件。</p>
<p>Step1.拖一个fileupload和button控件。</p>
<p>Step2.双击button，在button事件中写下列代码。</p>
<p>protected void btnUpload_Click(object sender, EventArgs e)</p>
<p>    {</p>
<p>        if (FileUploadCVS.HasFile)</p>
<p>        {</p>
<p>            if (System.IO.Path.GetExtension(FileUploadCVS.FileName) == ".csv")</p>
<p>            {</p>
<p>                DataTable dt = GetdataFromCVS(FileUploadCVS);</p>
<p>             ｝</p>
<p>          ｝</p>
<p>      ｝</p>
<p>Step3. 写读取CVS文件的函数。</p>
<p>public static DataTable GetdataFromCVS(FileUpload fileload)</p>
<p>        {</p>
<p>            DataTable dt = newDataTable();</p>
<p>            StreamReader sr = newStreamReader(fileload.PostedFile .InputStream);</p>
<p>            string strTitle = sr.ReadLine();</p>
<p>            string[] strColumTitle = strTitle.Split(',');   //CVS 文件默认以逗号隔开</p>
<p>            for (int i = 0; i &lt; strColumTitle.Length; i++)</p>
<p>            {</p>
<p>                dt.Columns.Add(strColumTitle[i]);</p>
<p>            }</p>
<p>            while (!sr.EndOfStream)</p>
<p>            {</p>
<p>                string strTest = sr.ReadLine();</p>
<p>                string[] strTestAttribute = strTest.Split(',');</p>
<p>                DataRow dr = dt.NewRow();</p>
<p>                for (int i = 0; i &lt; strColumTitle.Length; i++)</p>
<p>                {</p>
<p>                    dr[strColumTitle[i]] = strTestAttribute[i];</p>
<p>                }</p>
<p>                dt.Rows.Add(dr);</p>
<p>            }</p>
<p>            return dt;</p>
<p>        }</p>
<p>记得加上System.IO 命名空间。StreamReader 是在这个namespace下的。很多跟输入输出相关的累都在这个命名空间下</p>
<p>经常用到csv文件，一直用odbc进行读取，但是在unicode编码的时候读取不正确，有时候就算是ANSI编码，如一列数据混编，读取也不正确。不清楚是不是个人电脑的问题。只好自己写个来实现简单的读取，解析含","及"""号CSV文件。</p>
<p>更新1：使用中发现有些软件生存csv文件时，所有数据默认带有""，以前代码处理带引号空字段数据不正确。</p>
<p>    代码如下，默认用UTF8编码，一次性读取整个CSV文件，若谁试用了此段代码，有问题请反馈给我，谢谢。</p>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ181MWU0MDliMTFhYTUxYzE1MDA5MDY5NzQyOWE5NTNlZC5naWY=.jpg"></a></p>
<pre>        /// &lt;summary&gt;
        /// 读取csv文件到DataTable
        /// &lt;/summary&gt;
        /// &lt;param name="filepath"&gt;&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        static private DataTable ReadCsv(string filepath)
        {
            DataTable dt = new DataTable("NewTable");
            DataRow row;

            string[] lines = File.ReadAllLines(filepath, Encoding.UTF8);
            string[] head = lines[0].Split(',');
            int cnt = head.Length;
            for (int i = 0; i &lt; cnt; i++)
            {
                dt.Columns.Add(head[i]);
            }
            for (int i = 0; i &lt; lines.Length; i++)
            {
                lines[i].Trim();
                if ((string.IsNullOrWhiteSpace(lines[i])))
                {
                    continue;
                }
                try
                {
                    row = dt.NewRow();
                    row.ItemArray = GetRow(lines[i], cnt);
                    dt.Rows.Add(row);
                }
                catch { }
            }
            return dt;
        }
        /// &lt;summary&gt;
        /// 解析字符串 获取 该行的数据 已经处理,及"号
        /// &lt;/summary&gt;
        /// &lt;param name="line"&gt;该行的内容&lt;/param&gt;
        /// &lt;param name="cnt"&gt;总的条目数&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        static private string[] GetRow(string line, int cnt)
        {
            //line = line.Replace("\"\"", "\""); //若空数据加引号替换不正确
            string[] strs = line.Split(',');
            if (strs.Length == cnt)
            {
                return RemoveQuotes(strs);
            }
            List&lt;string&gt; list = new List&lt;string&gt;();
            int n = 0, begin = 0;
            bool flag = false;

            for (int i = 0; i &lt; strs.Length; i++)
            {

                //没有引号 或者 中间有引号 直接添加
                if (strs[i].IndexOf("\"") == -1
                    || (flag == false &amp;&amp; strs[i][0] != '\"'))
                {
                    list.Add(strs[i]);
                    continue;
                }
                //其实有引号，但该段没有,号，直接添加
                n = 0;
                foreach (char ch in strs[i])
                {
                    if (ch == '\"')
                    {
                        n++;
                    }
                }
                if (n % 2 == 0)
                {
                    list.Add(strs[i]);
                    continue;
                }
                //该段有引号 有 ,号，下一段增加后添加
                flag = true;
                begin = i;
                i++;
                for (i = begin + 1; i &lt; strs.Length; i++)
                {
                    foreach (char ch in strs[i])
                    {
                        if (ch == '\"')
                        {
                            n++;
                        }
                    }
                    if (strs[i][strs[i].Length - 1] == '\"' &amp;&amp; n % 2 == 0)
                    {
                        StringBuilder sb = new StringBuilder();
                        for (; begin &lt;= i; begin++)
                        {
                            sb.Append(strs[begin]);
                            if (begin != i)
                            {
                                sb.Append(",");
                            }
                        }
                        list.Add(sb.ToString());
                        break;
                    }
                }
            }
            return RemoveQuotes(list.ToArray());
        }
        /// &lt;summary&gt;
        /// 将解析的数据 去除多余的引号
        /// &lt;/summary&gt;
        /// &lt;param name="strs"&gt;&lt;/param&gt;
        /// &lt;returns&gt;&lt;/returns&gt;
        static string[] RemoveQuotes(string[] strs)
        {
            for (int i = 0; i &lt; strs.Length; i++)
            {
                //若该项数据为空 但csv文件中加上双引号
                if (strs[i] == "\"\"")
                {
                    strs[i] = "";
                    continue;
                }
                //若该项数据头和尾加上引号
                if (strs[i].Length &gt; 2 &amp;&amp; strs[i][0] == '\"' &amp;&amp; strs[i][strs[i].Length - 1] == '\"')
                {
                    strs[i] = strs[i].Substring(1, strs[i].Length - 2);
                }
                //若该项数据中间有引号
                strs[i] = strs[i].Replace("\"\"", "\"");
            }
            return strs;
        }</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ181MWU0MDliMTFhYTUxYzE1MDA5MDY5NzQyOWE5NTNlZC5naWY=.jpg"></a></p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 15:24:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/list/" title="list">list</a>, <a href="https://www.iamivan.net/tag/excel/" title="excel">excel</a>, <a href="https://www.iamivan.net/tag/asp/" title="asp">asp</a>, <a href="https://www.iamivan.net/tag/static/" title="static">static</a>, <a href="https://www.iamivan.net/tag/add/" title="ADD">ADD</a>, <a href="https://www.iamivan.net/tag/csv/" title="csv">csv</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>asp.net读取CSV的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyrayZp.html" rel="bookmark">asp&period;net读取excel文件的三种方法示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了asp.net读取excel文件的三种方法示例,包括采用OleDB读取Excel文件.引用的com组件读取Excel文件.用文件流读取,需要的朋友可以参考下 方法一:采用OleDB读取Excel文件   把Excel文件当做一个数据源来进行数据的读取操作,实例如下:  代码如下: public DataSet ExcelToDS(string Path)    {    string strConn = &quot;Provider=Microsoft.Jet.OLEDB.4.0;&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkm8Bjb.html" rel="bookmark">C&num; 读取csv文件的实现方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C# 读取csv文件的实现方法 用一个System.Web.UI.HtmlControls.HtmlInputFile去handle文件选取. 以下是button click event中的code,用来执行当文件选取了之后读取文件的内容. &lt;%@ Page Language=&quot;C#&quot; %&gt; &lt;%@ import Namespace=&quot;System.Data&quot; %&gt; &lt;%@ import Namespace=&quot;System.D			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zex2Op.html" rel="bookmark">ASP教程&colon;读取文件和写文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ASP教程:读取文件和写文件 读取文件操作: '------------------------------------------------- '函数名称:ReadTextFile '作用:利用AdoDb.Stream对象来读取UTF-8格式的文本文件 '---------------------------------------------------- Function ReadFromTextFile (FileUrl,CharSet)     dim str     set stm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9lV4b.html" rel="bookmark">将图片插入数据库并使用asp&period;net读取出来的正确方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|插入|数据|数据库 将图片插入数据库并使用asp.net读取出来的正确方法 书写本文是因为今天见到CSDN的首页上一篇存在明显失误的名为&quot;在Asp.Net中从sqlserver检索(retrieve)图片&quot;的文章.不说其错误是因为用其方法确实能从数据库中读取出图片并显示在浏览器,说其失误是因为代码的意图不能被完全的实现,作者也似乎对http协议以及浏览器在处理http数据的流程一知半解. 1.如何出错 以下是这片文章提到的方法: Public Sub Page_Load			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRlxnz.html" rel="bookmark">asp&period;net读取excel中的数据并绑定在gridview</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了asp.net读取excel中的数据并绑定在gridview上的方法,需要的朋友可以参考下       前台label,DropDownList,gridview控件 aspx.cs核心代码: 代码如下: using System.Data.OleDb;//需要引入命名 public void Excel_Click(object sender, EventArgs e) { if (this.AttachmentFile.Value == &quot;&quot; &amp;&amp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wxBYp.html" rel="bookmark">php读取csv数据保存到数组的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了php读取csv数据保存到数组的方法,通过封装的类文件实现这一功能,是对csv文件操作的实用技巧,需要的朋友可以参考下     本文实例讲述了php读取csv数据保存到数组的方法.分享给大家供大家参考.具体分析如下: csv是常用的excel格式的替代品,很多时候我们导出数据是都会导成csv格式的,这样和excel没什么区别,下面的程序是要读取csv数据保存到数组我们要对数据进行操作,所以保存到数据,代码如下: 代码如下: $info=csvtoarray::open('te			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Aagap.html" rel="bookmark">php读取csv文件并输出的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本文实例讲述了php读取csv文件并输出的方法.分享给大家供大家参考.具体实现方法如下: &lt;?php $row = 0; $j = 1; // Linea por la que quieres empezar $file = &quot;name.txt&quot;; //Nombre del fichero if (($handle = fopen($file, &quot;r&quot;)) !== FALSE) { while (($data = fgetcsv($handle, &quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOaaGRM.html" rel="bookmark">PHP快速按行读取CSV大文件的封装类分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了一个PHP快速按行读取CSV大文件的封装类,这个类同时也适用于其它体积较大的文本文件,需要的朋友可以参考下 CSV大文件的读取已经在前面讲述过了(PHP按行读取.处理较大CSV文件的代码实例),但是如何快速完整的操作大文件仍然还存在一些问题.   1.如何快速获取CSV大文件的总行数?   办法一:直接获取文件内容,使用换行符进行拆分得出总行数,这种办法对小文件可行,处理大文件时不可行: 办法二:使用fgets一行一行遍历,得出总行数,这种办法比办法一好一些,但大文件仍有超时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVw28Vb.html" rel="bookmark">jsp读取CSV文件如何替换csv文件？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 jsp读取CSV文件如何替换csv文件? 我遇到一个问题,csv文件内容如下: car118499ActivePreActivecar2ActivePreActivecar321138Active40712PreActivecar4ActivePreActive 我想在jsp中显示 car1 car2 car3 car418499 21138 40712			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM654Jb.html" rel="bookmark" class="title">网页制作之技巧：保持清晰的文档结构</a>
					<div>
						技巧|网页 我十分支持Web标准,并且认为它提出的文档对象模型(DOM,Document Object Model)是非常合理而且有用的.文档对象模型让我们脱离字符,在结构层面高级方式操作文档. 在网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKl5aM.html" rel="bookmark" class="title">互联网创业的七个必要条件</a>
					<div>
						最近和朋友聊起创业的这段日子,感触还是挺深的,尤其是互联网这个行业,有的时候真的要成功,的确需要具备很多条件,甚至你任何一个短板,都可能是最后的致命伤.我最这段时间也一直在反思我们创业的过程,对于我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlNLNz.html" rel="bookmark" class="title">用户体验设计实例&colon;网易邮箱开放pop3</a>
					<div>
						人吃饱了,总要想点什么做点什么,思考点什么.号称是中国最大的免费邮箱提供商的网易,开始开展了一个名叫如虎添翼的活动,说要开放pop3,IMAP,和去掉邮件底部的广告.对于pop3我一直知道这个概念,当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd4jXp.html" rel="bookmark" class="title">【C&num;】Decimal的类型判断！</a>
					<div>
						本人在写这些类方法或函数的时候,难免有些错误或bug存在,请各位网友多多指教!shixiang9076@sina.com. using System;using System.Drawing;usin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7jk0M.html" rel="bookmark" class="title">API之网络函数</a>
					<div>
						WNetAddConnection 创建同一个网络资源的永久性连接 WNetAddConnection2 创建同一个网络资源的连接 WNetAddConnection3 创建同一个网络资源的连接 WN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK37rp.html" rel="bookmark" class="title">Java理论和实践&colon; 一个有缺陷的微基准的剖析</a>
					<div>
						即使性能不是当前项目的一个关键需求,甚至没有被标明为一个需求,通常也难于忽略性能问题,因为您可能会认为忽略性能问题将使自己成为&quot;差劲的工程师&quot;.开发人员在以编写高性能代码为目标的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kl9dz.html" rel="bookmark" class="title">Photoshop鼠绘教程：令人瞠目的超写实技法解析</a>
					<div>
						水果与蔬菜是静物绘画的永恒主题,同时也是商业广告中经常用到的素材. 有心的朋友可以去超市看一下食品包装上的形象元素,你会发现现在的包装很少直接用照片了,绝大部分商家会要求广告设计公司用插画的形式来表现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WQj0b.html" rel="bookmark" class="title">win7系统打开excel2007页面变成灰色怎么回事？</a>
					<div>
						win7系统打开excel2007页面变成灰色怎么回事?   win7系统打开excel2007页面变成灰色解决方法: 1.首先打开一个空白的excel; 2.工具--&gt;选项--&gt;常规-- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZYKqz.html" rel="bookmark" class="title">使用电脑中我们会用到的搜索功能</a>
					<div>
						我们在使用电脑的时候,很多时候都需要搜索东西,而我们一般在那些情况需要搜索东西呢?下面对于在使用电脑中会用到的搜索功能进行总结下. 1 在系统中,搜索某个文件. 这时候需要点击开始,然后在搜索框里面输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZnG4z.html" rel="bookmark" class="title">watchOS3有哪些新功能？</a>
					<div>
						  在苹果WWDC 2016全球开发者大会上,备受期待的watchOS 3终于亮相.那么watchOS3有哪些新功能呢?据苹果介绍,新版系统将主要集中于提升运行速度,另外还支持记忆用户收藏以及使用最频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6AQ1b.html" rel="bookmark" class="title">电脑关机后鼠标还亮的解决方法</a>
					<div>
						  电脑在正常关机以后光电鼠标仍然在继续发光而不会灭,如何解决关机鼠标亮的问题呢? 首先,其实主板的键鼠开机功能是造成鼠标在关机后仍然发光的最普遍的原因. 主板的BIOS中一般都提供了对键鼠开机功能的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8qEDp.html" rel="bookmark" class="title">OpenMP并行化实例----Mandelbrot集合并行化计算</a>
					<div>
						在理想情况下,编译器使用自动并行化能够管理一切事务,使用OpenMP指令的一个优点是将并行性和算法分离,阅读代码时候无需考虑并行化是如何实现的.当然for循环是可以并行化处理的天然材料,满足一些约束的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd3RoM.html" rel="bookmark" class="title">下一步，下一个？</a>
					<div>
						写之前特地注意了一下上一篇的日期:2月23日,到现在刚好两个月.两个月前,还在联络家,正运筹着年前规划的工作计划的执行:两个月后,确是已经在谋划自己接下来要做的事情,在筹备个方面的资源. 这个世界上, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNA1wM.html" rel="bookmark" class="title">触摸屏（TP）奕力IC 测试技术---Sensor Test</a>
					<div>
						文章转载地址:http://baijiahao.baidu.com/s?id=1576311209994050951&amp;wfr=spider&amp;for=pc					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw4W7p.html" rel="bookmark" class="title">jquery插件推荐 jquery&period;cookie&lowbar;jquery</a>
					<div>
						综合概述 通过原生的JavaScript实现处理cookies是一项头疼的工作,并且jQuery本身也不具备解决处理cookies的函数, 但是这个极其小(压缩后解决500字节左右)的jquery插件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqwgxb.html" rel="bookmark" class="title">gcc-关于 Mac 上用 Homebrew 更新软件后无效的问题求助</a>
					<div>
						问题描述 关于 Mac 上用 Homebrew 更新软件后无效的问题求助 半年以前可以用的 gtk+3 发现现在不能用了,用 homebrew 把所有软件更新了一道之后再编译就显示如下问题: $ gc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrjaKM.html" rel="bookmark" class="title">外部函数调用-【江湖救急】定义外部函数名被关键字占用如何处理？</a>
					<div>
						问题描述 [江湖救急]定义外部函数名被关键字占用如何处理? 在下用PB调用一个动态库,里面有一个方法名叫execute(), 但是定义时跟PB的execute关键字冲突,无法定义和使用, 跪求各位大神 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7wrZz.html" rel="bookmark" class="title">Node&period;js入门学习笔记</a>
					<div>
						关于Node.js介绍,我们引用官网(http://nodejs.org/)的一段文字说明: 1 Node.js is a platform built on Chrome's JavaScript  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr67rM.html" rel="bookmark" class="title">OpenWrt &lbrack;mktplinkfw&rsqb; &ast;&ast;&ast; error&colon; images are too big</a>
					<div>
						本人在编译OpenWrt,可能是选多了,导致最后报错: make[5]: [install] Error 255 (ignored) /home/hevake_lcj/Workspace/OpenWR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm68n5z.html" rel="bookmark" class="title">java ee-运行netbeans时出现了一个问题，实在不懂怎么解决</a>
					<div>
						问题描述 运行netbeans时出现了一个问题,实在不懂怎么解决 启动GlassFish Server 4 正在运行GlassFish Server 4. 就地在D:JavaEE课程JSPbabuil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z0yJM.html" rel="bookmark" class="title">在XcodeGhost事件之后，获取更纯净的Xcode的方法。</a>
					<div>
						正值Xcode 7正式版本的更新,IOS界就冒出了个甚至可以说成涉及国家安全的大事也不为过的事件: 也可以点击网址链接看总结的更完整的文章:众多知名 APP 都中毒了,XCodeGhost 病毒事件汇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKG5gb.html" rel="bookmark" class="title">微软宣布将推迟ASP&period;NET Core的发布日期</a>
					<div>
						几周之前,微软对于新版本的ASP.NET发布了一篇声明.Jeffrey T. Fritz是微软的程序经理,他在这篇博客文章中解释了发布日期变化的原因,并提供了新版本的命名从ASP.NET 5转变为AS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJ77np.html" rel="bookmark" class="title">《Android应用开发攻略》&mdash;&mdash;1&period;13 从模拟器&sol;Android设备获得屏幕截图</a>
					<div>
						1.13 从模拟器/Android设备获得屏幕截图 Rachee Singh1.13.1 问题 你希望获得Android设备上运行的应用程序的屏幕截图.1.13.2 解决方案 使用Eclipse中Da ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo8NxM.html" rel="bookmark" class="title">115网盘关闭给我们的启示</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 2012年8月7日,115官方发出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWodOz.html" rel="bookmark" class="title">java中struts2实现文件上传下载功能&lowbar;java</a>
					<div>
						先谈一谈struts2实现文件的上传和下载实例实现的原理: Struts 2是通过Commons FileUpload文件上传. Commons FileUpload通过将HTTP的数据保存到临时文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE9DBz.html" rel="bookmark" class="title">asp&period;net 浅谈MVC 架构模式（上）</a>
					<div>
						最近总听一些人在讨论MVC.MVP.MVVM各种架构模式之间的关系及提升之处,自己也想写一些关于这3种模式相关的东西,同时来比较一下它们的区别.在日常开发中,我们有很多机会接触到MVC.MVP,MVV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q7KBp.html" rel="bookmark" class="title">MySQL5&period;6安装图解&lpar;windows7&sol;8&lowbar;64位&rpar;&lowbar;Mysql</a>
					<div>
						1. 下载MySQL2. 解压MySQL压缩包将以下载的MySQL压缩包解压到自定义目录下. 3. 添加环境变量 变量名:MYSQL_HOME 变量值:D:\mysql-5.6.26-winx64 即 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z6lAz.html" rel="bookmark" class="title">destoon栏目首页加页码</a>
					<div>
						看到一个网站上一个栏目首页上显示的可以有页面,但是使用destoon上首页的模板上是没有页码的,而列表页是有页面的,那么如果使用首页才能有页面 要想让信息产生分页,的必要条件是在写tags时要加入sh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6rlQp.html" rel="bookmark" class="title">数据中心需要什么样的技术人才</a>
					<div>
						随着信息技术的进步,人们的工作和生活与一系列各种各样的数据联系在一起.而作为数据处理的中心场所,数据中心的重要性越来越高.云计算.大数据.虚拟化等各种技术在数据中心领域遍地开花,造就一片欣欣向荣的景象 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvJPdb.html" rel="bookmark" class="title">单线程和一般程序有什么区别吗</a>
					<div>
						问题描述 单线程和一般程序有什么区别吗,他们都是从上往下一行一行的执行的啊,两者的区别和作用有些模糊,还请各位网友大神指点迷经.谢谢各位 解决方案 解决方案二:单线程就是一般的程序,你说的是多线程么? ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
